package cokr.xit.ens.modules.common.code;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public enum VenderCd implements CodeMapperType {

	none("입력없음")
	,unknown("알수없음")
	,intech("아이앤텍")
	,biztalk("비즈톡")
	,dozn("더즌")
	;
	
	@Getter
	private final String codeNm;
	
	@Override
	public String getCode() {
		return this.name();
	}


	public static VenderCd valueOfEnum(String statCd){
		if(statCd == null)
			return VenderCd.none;

		VenderCd docBoxStatusCd = null;
		try {
			docBoxStatusCd = VenderCd.valueOf(statCd.toLowerCase());
		} catch (IllegalArgumentException e){
			docBoxStatusCd = VenderCd.unknown;
		}
		return docBoxStatusCd;
	}

}
